GET/documents/{documentId}
Returns one dynamic document with its TipTap JSON content, variables, shares, links and assets. Callers need the
EventDocumentsEdit permission or a share on the document. The document id comes from DynamicDocs_GetDocuments.
Path Parameters
| Field | Type | Required | Description |
|---|
| documentId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| description | string| null | |
| content | string| null | |
| version | integer | |
| variables | GetDocumentResponseVariableInfo[]| null | |
| associatedEntities | GetDocumentResponseAssociatedEntityInfo[]| null | |
| links | GetDocumentResponseLinkInfo[]| null | |
| assets | object| null | |
| resolvedTokens | object| null | |
GetDocumentResponseVariableInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| variableType | string| null | |
| isMultiSelect | boolean | |
| isRequired | boolean | |
| defaultValues | string| null | |
GetDocumentResponseAssociatedEntityInfo
| Field | Type | Description |
|---|
| id | uuid | |
| target | GetDocumentResponseAssociatedEntityInfoShareTargetInfo | |
| permissions | string[]| null | |
GetDocumentResponseLinkInfo
| Field | Type | Description |
|---|
| id | uuid | |
| token | string| null | |
| name | string| null | |
| isActive | boolean | |
| expiresAt | date-time| null | |
| variableValues | string| null | |
| allowedValues | string| null | |
GetDocumentResponseAssociatedEntityInfoShareTargetInfo
| Field | Type | Description |
|---|
| type | string| null | |
| id | uuid | |